## adjutant 11.0.0~rc1

=== requirements.txt ===
pbr>=5.2.0

Django>=4.2
Babel>=2.6.0
decorator>=4.4.0
djangorestframework>=3.14.0
jsonfield>=2.0.2
keystoneauth1>=3.14.0
keystonemiddleware>=6.0.0
python-cinderclient>=4.1.0
python-keystoneclient>=3.19.0
python-neutronclient>=6.12.0
python-novaclient>=14.0.0
python-octaviaclient>=1.8.0
python-troveclient>=6.0.1
confspirator>=0.2.2
importlib-metadata>=6.2.1

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = Adjutant
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== doc/requirements.txt ===
os-api-ref>=1.6.1 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
adjutant (11.0.0~rc1-1) unstable; urgency=medium

  * Initial release (Closes: #1114955).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 09:51:13 +0200

## adjutant 11.0.0

=== debian/changelog ===
adjutant (11.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Nov 2025 16:11:31 +0100

=== debian/control ===
Source: adjutant
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python3-babel,
 python3-cinderclient,
 python3-confspirator,
 python3-coverage,
 python3-decorator,
 python3-django,
 python3-djangorestframework,
 python3-jsonfield,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-openstackdocstheme,
 python3-pbr,
 python3-pygments,
 python3-pymysql,
 python3-troveclient,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/openstack-team/services/adjutant
Vcs-Git: https://salsa.debian.org/openstack-team/services/adjutant.git
Homepage: https://github.com/openstack/adjutant

Package: adjutant-api
Architecture: all
Section: python
Depends:
 adduser,
 adjutant-common (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack admin framework - API Server
 Adjutant is an admin framework to bridge a public cloud business logic (maybe
 an ERP, or your own system) to an OpenStack deployment. Adjutant provides
 (among others) user sign-up, password reset, role management, and more, all of
 this in a self-service way.
 .
 This package contains the Barbican API Server.

Package: adjutant-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-adjutant (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack admin framework - common files
 Adjutant is an admin framework to bridge a public cloud business logic (maybe
 an ERP, or your own system) to an OpenStack deployment. Adjutant provides
 (among others) user sign-up, password reset, role management, and more, all of
 this in a self-service way.
 .
 This package contains common files for Barbican.

Package: adjutant-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack admin framework - doc
 Adjutant is an admin framework to bridge a public cloud business logic (maybe
 an ERP, or your own system) to an OpenStack deployment. Adjutant provides
 (among others) user sign-up, password reset, role management, and more, all of
 this in a self-service way.
 .
 This package contains the documentation.

Package: python3-adjutant
Architecture: all
Section: python
Depends:
 python3-babel,
 python3-cinderclient,
 python3-confspirator,
 python3-decorator,
 python3-django,
 python3-djangorestframework,
 python3-jsonfield,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-pbr,
 python3-pymysql,
 python3-troveclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack admin framework - Python files
 Adjutant is an admin framework to bridge a public cloud business logic (maybe
 an ERP, or your own system) to an OpenStack deployment. Adjutant provides
 (among others) user sign-up, password reset, role management, and more, all of
 this in a self-service way.
 .
 This package contains the Python files and libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build
	rm -rf adjutant.sqlite
	rm -f debian/adjutant-api.postinst debian/adjutant-api.config

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func adjutant-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func adjutant-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func adjutant-common.postinst
	pkgos-merge-templates adjutant-api adjutant endpoint

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --root=debian/tmp --install-layout=deb ; \
	done

	install -D $(CURDIR)/adjutant/wsgi.py $(CURDIR)/debian/tmp/usr/bin/adjutant-wsgi-api

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "Currently no test to run..."
#	pkgos-dh_auto_test --no-py2 'adjutant\.tests\.*'
endif

	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/adjutant-doc/usr/share/doc/adjutant-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/adjutant/tags .*/(\d[brc\d\.]+)\.tar\.gz
